System.Design 2.0.0.0 System.Object

The class is one of several types that represent the schema of a data store at design-time. These schema items are made available to controls by designers implementing the interface. Controls access schema objects by calling the method of the interface.

The class provides the properties and methods shared between data tables in a data store and views defined on those data tables.

When you inherit from the class, you must override the method.

Defines the properties and methods shared between data-store tables and data-store views.

- Constructor
  2.0.0.0

  Initializes the class for use by an inherited class instance. This constructor can be called only by an inherited class.

  Initializes a new instance of the class.

  The name of the table or view.
- Constructor
  2.0.0.0

  Initializes the class for use by an inherited class instance. This constructor can be called only by an inherited class.

  Initializes a new instance of the class.

  The name of the table or view.
  The data-store owner of the table or view.
- Property
  2.0.0.0
  System.Collections.ICollection To be added.

  The property is populated by the method the first time the property is accessed.

  Gets a collection of columns defined for a table or view.

- Method
  2.0.0.0
  System.Collections.ICollection

  The method is called the first time the property is accessed, to populate the collection of data-store columns.

  When overridden in a derived class, returns a collection of data-store column objects.

  A collection of objects.

- Property
  2.0.0.0
  System.String To be added. To be added.

  Gets the name of the data-store table or view.

- Property
  2.0.0.0
  System.String To be added. To be added.

  Gets the owner of the data-store table or view.